<template>
    <div class="settings">
        <!--<div class="header-page">-->
        <!--<div class="title">Настройки</div>-->
        <!--<div class="options">-->

        <!--</div>-->
        <!--</div>-->
        <div class="body-page">
            <div class="part">
                <div class="title-part">Общая информация</div>
                <div v-if="userInfo.fname" class="row-info">
                    <div class="label">Логин:</div>
                    <div class="value">{{ userInfo.fname }}</div>
                </div>
                <div v-if="userInfo.account" class="row-info">
                    <div class="label">Номер лицевого счета:</div>
                    <div class="value">{{ userInfo.account }}</div>
                </div>
                <div v-if="userInfo.phone" class="row-info">
                    <div class="label">Телефон:</div>
                    <div class="value">{{ userInfo.phone }}</div>
                </div>
                <div v-if="userInfo.tariff_plan" class="row-info">
                    <div class="label">Тарифный план:</div>
                    <div class="value">{{ userInfo.tariff_plan }}</div>
                </div>
                <div v-if="userInfo.end_date" class="row-info">
                    <div class="label">Дата окончания:</div>
                    <div class="value">{{ userInfo.end_date }}</div>
                </div>
                <div v-if="userInfo.account_balance" class="row-info">
                    <div class="label">Баланс на счету:</div>
                    <div class="value">{{ userInfo.account_balance }}</div>
                </div>
            </div>
            <div class="part">
                <div class="title-part">Оформление</div>
                <div class="row-info">
                    <div class="label">Выберите тему:</div>
                    <div class="value">
                        <div class="list-themes">
                            <div class="item-theme light" @click="setThemeName('light')">Светлая</div>
                            <div class="item-theme dark" @click="setThemeName('dark')" >Темная</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script>
    export default {
        name: "settings",
        computed: {
            userInfo() {
                return this.$store.state.User
            }
        },
        methods: {
            setThemeName(name) {
                this.$store.commit('setTheme', name);
                localStorage.setItem('theme', name);
            }
        }
    }
</script>

<style scoped>
    .list-themes {
        display: flex;
        align-items: center;
    }
    .list-themes .item-theme {
        display: flex;
        align-items: center;
        margin-right: 20px;
        cursor: pointer;
    }
    .list-themes .item-theme:before {
        content: '';
        display: block;
        min-width: 10px;
        max-width: 10px;
        height: 10px;
        border-radius: 50%;
        margin: 10px;
        background: #fff;
        box-shadow: 0 0 0 3px #fff, 0 0 0 6px #cecece;
    }

    .light .list-themes .item-theme.light:before {
        background: #478dcd;
        box-shadow: 0 0 0 3px #fff, 0 0 0 6px #478dcd;
    }
    .dark .list-themes .item-theme.light:before {
        background: #c9cacd;
        box-shadow: 0 0 0 3px #c9cacd, 0 0 0 6px #478dcd;
    }
    .dark .list-themes .item-theme.dark:before {
        background: #478dcd;
        box-shadow: 0 0 0 3px #c9cacd, 0 0 0 6px #478dcd;
    }

</style>
